Package org.eclipse.cdt.core.settings.model.util

## Class PatternNameMap

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.PatternNameMap

    public class PatternNameMap
    extends Object

### Constructor Summary

Constructors
`PatternNameMap()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsDoubleStar()`
`Object` `get​(String name)`
`List<PathSettingsContainer>` `getValues​(String name)`
`boolean` `hasPatterns()`
`boolean` `hasPatternsMap()`
`boolean` `isEmpty()`
`static boolean` `isPatternName​(String str)`
`Object` `put​(String name, Object value)`
`Object` `remove​(String name)`
`int` `size()`
`Collection<PathSettingsContainer>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternNameMap

    public PatternNameMap()

### Method Detail

#### get

    public Object get​(String name)

#### size

    public int size()

#### isEmpty

    public boolean isEmpty()

#### hasPatterns

    public boolean hasPatterns()

#### hasPatternsMap

    public boolean hasPatternsMap()

#### getValues

    public List<PathSettingsContainer> getValues​(String name)

#### containsDoubleStar

    public boolean containsDoubleStar()

#### put

    public Object put​(String name,
                      Object value)

#### remove

    public Object remove​(String name)

#### isPatternName

    public static boolean isPatternName​(String str)

#### clear

    public void clear()

#### values

    public Collection<PathSettingsContainer> values()